# $Id: Makefile.PL,v 1.4 2007/04/21 09:11:17 pvakevai Exp $

use strict;

use ExtUtils::MakeMaker;

$| = 1;

my %REQUIRED_MODULES = (
        'Gtk2'                  => 1.102,
        'Locale::TextDomain'    => 1.16
);

WriteMakefile(
    'NAME'         => 'GShowTV',
    'VERSION_FROM' => 'lib/GShowTV/Constants.pm',
    'EXE_FILES'    => [
        'bin/gshowtv' 
	],
    'PREREQ_PM' => \%REQUIRED_MODULES,
);



package MY; # Add hooks to the following targets: all, install, uninstall

sub top_targets {
    my $self = shift;
    local($_) = $self->SUPER::top_targets(@_);

    s/all ::(.*)/all :: $1 post_build/m;
    $_;
}

sub install {
    my $self = shift;
    local($_) = $self->SUPER::install(@_);
    s/install ::(.*)/install :: $1 post_install/m;
    s/uninstall ::(.*)/uninstall :: $1 post_uninstall/m;
    $_;
}

sub clean_subdirs {
    my $self = shift;
    return <<EOT
clean_subdirs:
	make -C doc clean
	make -C po  clean
EOT
}

# Write my own makefile sections
sub postamble {
	my $self = shift;

	return <<EOT
post_build:
	make -C doc build
	make -C po  build

post_install:
	install -m 444 -D gshowtv.desktop       \$(DESTDIR)\$(PREFIX)/share/applications/gshowtv.desktop
	install -d pixmaps                      \$(DESTDIR)\$(PREFIX)/share/gshowtv
	install -d pvr                          \$(DESTDIR)\$(PREFIX)/share/gshowtv/pvr
	install -D pvr/*-interface              \$(DESTDIR)\$(PREFIX)/share/gshowtv/pvr/
	install -m 444 -D pixmaps/gshowtv.png   \$(DESTDIR)\$(PREFIX)/share/pixmaps/gshowtv.png
	install -m 444 -D pixmaps/undefined.png \$(DESTDIR)\$(PREFIX)/share/gshowtv/undefined.png

	make -C doc install PREFIX=\$(DESTDIR)\$(PREFIX)
	make -C po  install PREFIX=\$(DESTDIR)\$(PREFIX)

post_uninstall:
	echo "POST UNINSTALL"

EOT

}
